Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Java] Class SimpleGroovyClassDocAssembler

    java.lang.Object
      org.codehaus.groovy.antlr.treewalker.VisitorAdapter
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyClassDocAssembler

All Implemented Interfaces:
  GroovyTokenTypes

    public class SimpleGroovyClassDocAssembler
    extends VisitorAdapter

Constructor Summary
`SimpleGroovyClassDocAssembler(String packagePath, String file, SourceBuffer sourceBuffer, List links, Properties properties, boolean isGroovy)`

Method Summary
`Map` | `getGroovyClassDocs()`
`GroovySourceAST` | `pop()`
`void` | `push(GroovySourceAST t)`
`void` | `visitAnnotationDef(GroovySourceAST t, int visit)`
`void` | `visitAnnotationFieldDef(GroovySourceAST t, int visit)`
`void` | `visitAssign(GroovySourceAST t, int visit)`
`void` | `visitClassDef(GroovySourceAST t, int visit)`
`void` | `visitCtorIdent(GroovySourceAST t, int visit)`
`void` | `visitEnumConstantDef(GroovySourceAST t, int visit)`
`void` | `visitEnumDef(GroovySourceAST t, int visit)`
`void` | `visitExtendsClause(GroovySourceAST t, int visit)`
`void` | `visitImplementsClause(GroovySourceAST t, int visit)`
`void` | `visitImport(GroovySourceAST t, int visit)`
`void` | `visitInterfaceDef(GroovySourceAST t, int visit)`
`void` | `visitMethodCall(GroovySourceAST t, int visit)`
`void` | `visitMethodDef(GroovySourceAST t, int visit)`
`void` | `visitPackageDef(GroovySourceAST t, int visit)`
`void` | `visitVariableDef(GroovySourceAST t, int visit)`

Methods inherited from class VisitorAdapter
pop, push, setUp, tearDown, visitAbstract, visitAnnotation, visitAnnotationArrayInit, visitAnnotationDef, visitAnnotationFieldDef, visitAnnotationMemberValuePair, visitAnnotations, visitArrayDeclarator, visitAssign, visitAt, visitBand, visitBandAssign, visitBigSuffix, visitBlock, visitBnot, visitBor, visitBorAssign, visitBsr, visitBsrAssign, visitBxor, visitBxorAssign, visitCaseGroup, visitClassDef, visitClosedBlock, visitClosureList, visitClosureOp, visitColon, visitComma, visitCompareTo, visitCtorCall, visitCtorIdent, visitDec, visitDefault, visitDigit, visitDiv, visitDivAssign, visitDollar, visitDot, visitDynamicMember, visitElist, visitEmptyStat, visitEnumConstantDef, visitEnumDef, visitEof, visitEqual, visitEsc, visitExponent, visitExpr, visitExtendsClause, visitFinal, visitFloatSuffix, visitForCondition, visitForEachClause, visitForInIterable, visitForInit, visitForIterator, visitGe, visitGt, visitHexDigit, visitIdent, visitImplementsClause, visitImplicitParameters, visitImport, visitInc, visitIndexOp, visitInstanceInit, visitInterfaceDef, visitLabeledArg, visitLabeledStat, visitLand, visitLbrack, visitLcurly, visitLe, visitLetter, visitListConstructor, visitLiteralAs, visitLiteralAssert, visitLiteralBoolean, visitLiteralBreak, visitLiteralByte, visitLiteralCase, visitLiteralCatch, visitLiteralChar, visitLiteralClass, visitLiteralContinue, visitLiteralDef, visitLiteralDefault, visitLiteralDouble, visitLiteralElse, visitLiteralEnum, visitLiteralExtends, visitLiteralFalse, visitLiteralFinally, visitLiteralFloat, visitLiteralFor, visitLiteralIf, visitLiteralImplements, visitLiteralImport, visitLiteralIn, visitLiteralInstanceof, visitLiteralInt, visitLiteralInterface, visitLiteralLong, visitLiteralNative, visitLiteralNew, visitLiteralNull, visitLiteralPackage, visitLiteralPrivate, visitLiteralProtected, visitLiteralPublic, visitLiteralReturn, visitLiteralShort, visitLiteralStatic, visitLiteralSuper, visitLiteralSwitch, visitLiteralSynchronized, visitLiteralThis, visitLiteralThreadsafe, visitLiteralThrow, visitLiteralThrows, visitLiteralTransient, visitLiteralTrue, visitLiteralTry, visitLiteralVoid, visitLiteralVolatile, visitLiteralWhile, visitLnot, visitLor, visitLparen, visitLt, visitMapConstructor, visitMemberPointer, visitMethodCall, visitMethodDef, visitMinus, visitMinusAssign, visitMlComment, visitMod, visitModAssign, visitModifiers, visitNls, visitNotEqual, visitNullTreeLookahead, visitNumBigDecimal, visitNumBigInt, visitNumDouble, visitNumFloat, visitNumInt, visitNumLong, visitObjblock, visitOneNl, visitOptionalDot, visitPackageDef, visitParameterDef, visitParameters, visitPlus, visitPlusAssign, visitPostDec, visitPostInc, visitQuestion, visitRangeExclusive, visitRangeInclusive, visitRbrack, visitRcurly, visitRegexFind, visitRegexMatch, visitRegexpCtorEnd, visitRegexpLiteral, visitRegexpSymbol, visitRparen, visitSelectSlot, visitSemi, visitShComment, visitSl, visitSlAssign, visitSlComment, visitSlist, visitSpreadArg, visitSpreadDot, visitSpreadMapArg, visitSr, visitSrAssign, visitStar, visitStarAssign, visitStarStar, visitStarStarAssign, visitStaticImport, visitStaticInit, visitStrictfp, visitStringCh, visitStringConstructor, visitStringCtorEnd, visitStringCtorMiddle, visitStringCtorStart, visitStringLiteral, visitStringNl, visitSuperCtorCall, visitTripleDot, visitType, visitTypeArgument, visitTypeArguments, visitTypeLowerBounds, visitTypeParameter, visitTypeParameters, visitTypeUpperBounds, visitTypecast, visitUnaryMinus, visitUnaryPlus, visitUnusedConst, visitUnusedDo, visitUnusedGoto, visitVariableDef, visitVariableParameterDef, visitVocab, visitWildcardType, visitWs

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### SimpleGroovyClassDocAssembler

    public SimpleGroovyClassDocAssembler(String packagePath, String file, SourceBuffer sourceBuffer, List links, Properties properties, boolean isGroovy)

Method Detail

### getGroovyClassDocs

    public Map getGroovyClassDocs()

### pop

    public GroovySourceAST pop()

### push

    public void push(GroovySourceAST t)

### visitAnnotationDef

    @Override
    public void visitAnnotationDef(GroovySourceAST t, int visit)

### visitAnnotationFieldDef

    @Override
    public void visitAnnotationFieldDef(GroovySourceAST t, int visit)

### visitAssign

    @Override
    public void visitAssign(GroovySourceAST t, int visit)

### visitClassDef

    @Override
    public void visitClassDef(GroovySourceAST t, int visit)

### visitCtorIdent

    @Override
    public void visitCtorIdent(GroovySourceAST t, int visit)

### visitEnumConstantDef

    @Override
    public void visitEnumConstantDef(GroovySourceAST t, int visit)

### visitEnumDef

    @Override
    public void visitEnumDef(GroovySourceAST t, int visit)

### visitExtendsClause

    @Override
    public void visitExtendsClause(GroovySourceAST t, int visit)

### visitImplementsClause

    @Override
    public void visitImplementsClause(GroovySourceAST t, int visit)

### visitImport

    @Override
    public void visitImport(GroovySourceAST t, int visit)

### visitInterfaceDef

    @Override
    public void visitInterfaceDef(GroovySourceAST t, int visit)

### visitMethodCall

    @Override
    public void visitMethodCall(GroovySourceAST t, int visit)

### visitMethodDef

    @Override
    public void visitMethodDef(GroovySourceAST t, int visit)

### visitPackageDef

    @Override
    public void visitPackageDef(GroovySourceAST t, int visit)

### visitVariableDef

    @Override
    public void visitVariableDef(GroovySourceAST t, int visit)

Copyright © 2003-2010 The Codehaus. All rights reserved.